/* Copyright 1999 Red Hat, Inc.
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include "kudzu.h"

#include <stdio.h>
#include <stdlib.h>

int main(int argc, char **argv) {
	struct device **baz,**baz2=NULL,**inbaz,**inbaz2;
	struct device **device ;
	int x=0,ret;
	char *driver;
    
	initializeDeviceList(BUS_UNSPEC);
	baz=probeDevices(CLASS_UNSPEC,BUS_PCI|BUS_SBUS,PROBE_ALL);
	for (device = baz; *device; device ++) {
		driver = (*device)->driver;
		if (strcmp (driver, "ignore") && strcmp (driver, "unknown")) {
			printf("found suggestion of %s", driver);
		}
		freeDevice(*device);
	}
	free(baz);
	exit(0);
}
